Qgis 3 temporary data stay in /tmp even if Qgis is closed

2019-02-16 12:55 PM - Sylvain POULAIN

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No

Operating System: Archlinux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 29110

Description

Since Qgis 3, some datas stay in /tmp/ in Linux, is this a normal behaviour ? 

I never restart my system or once a month and I notice that sometimes I have a ton of these files and folders which could crash qgis.

Removing files and folder solve the problem.

Related issues:

Duplicates QGIS Application - Bug report # 20402: Temporary files not deleted... Closed 2018-11-08

Associated revisions

Revision 88513284 - 2019-04-01 02:18 PM - Jürgen Fischer

fix removal of temporary directories (fixes #21292)

Revision c5a2c2fe - 2019-04-05 04:11 PM - Jürgen Fischer

fix removal of temporary directories (fixes #21292)

(cherry picked from commit 88513284d42cff5d6a07e28ac2a209f41522315b)

Revision ff166628 - 2019-04-06 07:20 PM - Jürgen Fischer

backports

c77e393ea4 legend: truncate excessively long tooltips (fixes #21737)

88513284d4 fix removal of temporary directories (fixes #21292)

95bd7480d0 postgres provider: use st_estimatedextent only when 'use estimated metadata' is enabled (fixes #21718)

f1dbcc3c53 processing: fix grass' r.quantile parameter (fixes #21751)

c6382553cd don't relink object if just the shared objects/DLL is changed

9aaaad3ab8 trim crssync include directories (followup 8851328)

History

#1 - 2019-02-17 12:58 AM - Andrea Giudiceandrea

- Duplicates Bug report #20402: Temporary files not deleted upon closing added

#2 - 2019-02-18 02:23 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

2025-04-27 1/2



Files

Capture du 2019-02-16 15-47-53.png 122 KB 2019-02-16 Sylvain POULAIN

2025-04-27 2/2


